#include <allegro.h>

int main()
{
  int y, x;

  allegro_init();
  install_keyboard();
  set_color_depth(32);
  set_gfx_mode(GFX_AUTODETECT_WINDOWED, 640, 480, 0, 0);
  
  for (y = 0; y < SCREEN_H; y += 20) {
     for (x = 0; x < SCREEN_W; x += 20) {
        int sx = (x / 20) & 1;
        int sy = (y / 20) & 1;
        float c = sx ^ sy;
	rectfill(screen, x, y, x+19, y+19, c*makecol(255, 255, 255));
     }
  }

  BITMAP *bmp = load_bitmap("test.tga", NULL);
  RLE_SPRITE *rle = get_rle_sprite(bmp);
  set_alpha_blender();

  draw_trans_rle_sprite(screen, rle, 0, 0);
  draw_trans_sprite(screen, bmp, 0, bmp->h);

  readkey();

  return 0;
}

